<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/inbound/Dt_InWheels_mes_hty.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'Wheels_ID',
            footer: "Foots",
            cnName: '车轮历史',
            name: 'inbound/Dt_InWheels_mes_hty',
            url: "/Dt_InWheels_mes_hty/",
            sortName: "Wheels_ID"
        });
        const editFormFields = ref({

        });
        const editFormOptions = ref([

        ]);
        const searchFormFields = ref({
            Wheels_code:"",
            Wheels_CarType:"",
            wheels_ldxh:"",
            wheels_NewOrOld:"",
            wheels_mttype:"",
            wheelsProps:"",
            wheels_level:"",
            createDate:"",
        });
        const searchFormOptions = ref([
            [
                { "title": "车轮条码", "field": "Wheels_code", type: "text" },
                { "title": "车型", "field": "Wheels_CarType", type: "select", dataKey: "traintype_names", data: [] },
                //{ "title": "库存类型", "field": "StockType", type: "select", dataKey: "GroupType", data: [] },
                { "title": "轮型", "field": "wheels_ldxh", type: "text" },
            ],
            [
                { "title": "新/旧", "field": "wheels_NewOrOld", type: "select", dataKey: "NewOld", data: [] },
                { "title": "动拖属性", "field": "wheels_mttype", type: "text" },
                { "title": "属性", "field": "wheelsProps", type: "text" },
            ],
            [
                { "title": "等级", "field": "wheels_level", type: "text" },
                { "title": "创建时间", "field": "createDate", type: "datetime" },
            ]
        ]);
        const columns = ref([
        { field: 'wheels_ID', title: '主键ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'wheels_code', title: '车轮码', type: 'string', width: 110, align: 'left' },
            //{ field: 'wheels_SequenceNum', title: '序列号', type: 'string', width: 110, align: 'left', sort: true, link: true, },
            { field: 'wheels_Num', title: '车轮号', type: 'string', width: 110, align: 'left' },
            { field: 'wheels_Type', title: '类型(轮/盘)', type: 'string', width: 110, align: 'left' },
            { field: 'wheels_ldxh', title: '轮型', type: 'string', width: 110, align: 'left' },
            { field: 'wheels_CurrentStatue', title: '状态', type: 'int', width: 110, align: 'left', bind: { key: "InboundState", data: [] } },
            { field: 'wheels_ldtm', title: '轮对条码', type: 'string', width: 120, align: 'left' },
            { field: 'wheels_CarType', title: '车型', type: 'string', width: 70, align: 'left' },
            { field: 'wheels_psj', title: '配属局', type: 'string', width: 100, align: 'left' },
            { field: 'wheels_CarNo', title: '车组', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_ldh', title: '轮对号', type: 'string', sort: true, width: 100, align: 'left' },
            //{ field: 'wheels_WheelsType', title: '轮型', type: 'string',  width: 100, align: 'left' },
            { field: 'wheels_mttype', title: '动拖属性', type: 'string', width: 100, align: 'left' },
            { field: 'wheels_NewOrOld', title: '新旧类型', type: 'string', width: 100, align: 'left',bind: { key: "NewOld", data: []} },
            { field: 'wheelsProps', title: '属性', type: 'string', width: 100, align: 'left' },
            { field: 'wheels_level', title: '等级', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_gkzja', title: '毂孔a界面均值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_gkzjb', title: '毂孔b界面均值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_gkzjc', title: '毂孔c界面均值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_gkcc', title: '毂孔均值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_ljz', title: '轮径值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_ygljz', title: '预估轮径值', type: 'string', sort: true, width: 100, align: 'left' },
            { field: 'wheels_InDate', title: '入库日期', type: 'string', width: 100, align: 'left' },
            { field: 'creater', title: '创建时间', type: 'string', width: 100, align: 'left' },
            { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 100, align: 'left' },
            { field: 'finishDate', title: '完成时间', type: 'datetime', sort: true, width: 100, align: 'left' },
            { field: 'operateType', title: '完成方式', type: 'int', width: 100, align: 'left',bind: { key: "OperateType", data: [] }  },
        ]);

        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
